Bug 1121245 - System History Event for a specific system shows script results for all systems
Summary: System History Event for a specific system shows script results for all systems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space23
TreeView+ depends on / blocked
 
Reported: 2014-07-18 18:33 UTC by trevor.t.kates
Modified: 2015-04-14 19:17 UTC (History)
0 users

Fixed In Version: spacewalk-java-2.2.122-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 13:12:17 UTC


Attachments (Terms of Use)

Description trevor.t.kates 2014-07-18 18:33:57 UTC
Description of problem:

When using SSM to run a script across multiple systems, the event history for that script will show the results for every system when trying to look at a specific system's results.

Version-Release number of selected component (if applicable):

Spacewalk 2.2 on CentOS 6.5

How reproducible:

Easily.


Steps to Reproduce:
1. Select multiple systems in System Set Manager
2. Run an arbitrary script "Ex. ls /root/"
3. Confirm and wait for the results
4. Go to Schedule and view the action for the script
5. Click the link for any given completed system

Actual results:

Results for every system upon which the script was run show for any specific system

Expected results:

Only the results for the specific system selected should show when trying to view results for that system

Additional info:

This can also be viewed when navigating to the specific system in the Systems menu and reviewing its Event History.

Comment 1 Stephen Herr 2014-07-18 21:21:17 UTC
Committing to Spacewalk master:
faf632d1bff6662dfed78444d03a84a521ebfb4b


Note You need to log in before you can comment on or make changes to this bug.